#include <iostream>
using namespace std;
int main()
{
    unsigned int l;
    int n, br=-1;
    cin>>n>>l;
    for(int i=1;i<=n;i++)
    {
        unsigned int x;
        cin>>x;
        if(x<=l && br==-1) br=i;
    }
    cout<<br;
    return 0;
}